using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmBranchDdetail : System.Web.UI.Page
{
    BankBL bank = new BankBL();
    DesignationBL desig = new DesignationBL();
    BankBranchBL branch = new BankBranchBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlBankname.DataSource = bank.ShowBank();
            ddlBankname.DataTextField = "bank_name";
            ddlBankname.DataValueField = "bank_id";
            ddlBankname.DataBind();
            ddlDesignation.DataSource = desig.ShowDesigId();
            ddlDesignation.DataTextField = "desig_name";
            ddlDesignation.DataValueField = "desig_id";
            ddlDesignation.DataBind();
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        branch.Bankid = int.Parse(ddlBankname.SelectedValue);
        branch.Branchname = txtBranchname.Text.Trim();
        branch.Address = txtAddress.Text.Trim();
        branch.Desigid = int.Parse(ddlDesignation.SelectedValue);
        branch.Detail = txtDetails.Text.Trim();
        branch.InsertBranch();
        lblMsg.Text = "Branch Inserted Successfully....!";
        txtBranchname.Focus();
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtBranchname.Text = "";
        txtAddress.Text = "";
        txtDetails.Text = "";
        lblMsg.Text = "";
        txtBranchname.Focus();

    }
}
