using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmCustomerTransaction : System.Web.UI.Page
{
    AccountInfoBL act = new AccountInfoBL();
    DemandDraftBL dd = new DemandDraftBL();
    DebitCardBL debit = new DebitCardBL();
    CreditCardBL credit = new CreditCardBL();
    RemitterBL rem = new RemitterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlActNo.DataSource = act.ShowActNo();
            ddlActNo.DataValueField = "Cust_act_no";
            ddlActNo.DataBind();
            ddlActNo.Items.Insert(0,"---Select---");
        }

    }
    protected void ddlActNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            dd.Date = GMDatePicker1.Date;
            dd.Actno = int.Parse(ddlActNo.SelectedValue);
            DetailsView1.DataSource = dd.ShowDDTransaction();
            DetailsView1.DataBind();
            
            rem.Date = GMDatePicker1.Date;
            rem.Fromactno = int.Parse(ddlActNo.SelectedValue);
            DetailsView2.DataSource = rem.ShowRemitterTransaction();
            DetailsView2.DataBind();
            
            credit.Date = GMDatePicker1.Date;
            credit.Fromactno = int.Parse(ddlActNo.SelectedValue);
            DetailsView3.DataSource = credit.ShowCreditTransaction();
            DetailsView3.DataBind();
            
            debit.Date = GMDatePicker1.Date;
            debit.Fromactno = int.Parse(ddlActNo.SelectedValue);
            DetailsView4.DataSource = debit.ShowDebitTransaction();
            DetailsView4.DataBind();
            DetailsView1.Visible = true;
            DetailsView2.Visible = true;
            DetailsView3.Visible = true;
            DetailsView4.Visible = true;
            Label1.Text = "";
        }
        catch (Exception)
        {
            Label1.Text = "Plz Select Account No...!";
            ddlActNo.Focus();
            DetailsView1.Visible = false;
            DetailsView2.Visible = false;
            DetailsView3.Visible = false;
            DetailsView4.Visible = false;
        }
    }
}
