using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmDeleteUser : System.Web.UI.Page
{
    AccountInfoBL act = new AccountInfoBL();
    CustomerSecurityBL sec = new CustomerSecurityBL();
    CountryBusinessLayer country = new CountryBusinessLayer();
    StateBL state = new StateBL();
    CityBL city = new CityBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlActno.DataSource = act.ShowActNo();
            ddlActno.DataValueField = "Cust_act_no";
            ddlActno.DataBind();
            ddlActno.Items.Insert(0, "---Select---");

           
        }

    }
    protected void ddlActno_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            sec.Actno = int.Parse(ddlActno.SelectedValue);
            DataSet ds = new DataSet();
            ds = sec.ShowUserAllInfo();
            txtfname.Text = ds.Tables[0].Rows[0][1].ToString();
            txtlname.Text = ds.Tables[0].Rows[0][2].ToString();
            txtdob.Text = ds.Tables[0].Rows[0][3].ToString();
            txtSex.Text = ds.Tables[0].Rows[0][10].ToString();
            txtMail.Text = ds.Tables[0].Rows[0][4].ToString();
            txtAddress.Text = ds.Tables[0].Rows[0][5].ToString();
            txtphone.Text = ds.Tables[0].Rows[0][6].ToString();
            txtDetail.Text = ds.Tables[0].Rows[0][7].ToString();
            txtUname.Text = ds.Tables[0].Rows[0][8].ToString();
           
            Label1.Text = "";
        }
        catch (Exception)
        {
            Label1.Text = "No Data Found...!";
            txtfname.Text = "";
            txtlname.Text = "";
            txtdob.Text = "";
            txtSex.Text = "";
            txtMail.Text = "";
            txtAddress.Text = "";
            txtphone.Text = "";
            txtDetail.Text = "";
            txtUname.Text = "";
           
        }
    }
    
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        act.Actno = int.Parse(ddlActno.SelectedValue);
        act.DeleteActDetail();
        act.DeleteUserActInfo();
        sec.Actno = int.Parse(ddlActno.SelectedValue);
        sec.DeleteUser();
        Label1.Text = "User Deleted Successfully...!";
    }
}
