using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using SpeedCash.DAL;
/// <summary>
/// Summary description for EmployeeBl
/// </summary>
public class EmployeeBl:Connection
{
    public static DataSet ds;
	public EmployeeBl()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string name, address;

    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    DateTime dob, doj;
    public DateTime Dob
    {
        get { return dob; }
        set { dob = value; }
    }
    public DateTime Doj
    {
        get { return doj; }
        set { doj = value; }
    }
      int branchid,id;
    public int Branchid
    {
        get { return branchid; }
        set { branchid = value; }
    }
    public int Id
    {
        get { return id; }
        set { id = value; }
    }
    public void InsertEmpolyee()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@name", this.name);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@address", this.address);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@dob", this.dob);
        p[2].DbType = DbType.DateTime;
        p[3] = new SqlParameter("@doj", this.doj);
        p[3].DbType = DbType.DateTime;
        p[4] = new SqlParameter("@branchid", this.branchid);
        p[4].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertEmp", p);

    }
    public DataSet ShowEmployeeName()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowEmployee");
        return ds;
    }
    public void UpdateEmployee()
    {
        SqlParameter[] p = new SqlParameter[6];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@emp_name", this.name);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@emp_address", this.address);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@emp_dob", this.dob);
        p[3].DbType = DbType.Date;
        p[4] = new SqlParameter("@emp_doj", this.doj);
        p[4].DbType = DbType.Date;
        p[5] = new SqlParameter("@branch_id", this.branchid);
        p[5].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_Employee", p);
    }
    //Delete
    public void DeleteEmployee()
    {
        string str = "delete from tblEmpMaster where emp_no=" + id + "";
        SqlHelper.ExecuteNonQuery(con, CommandType.Text,str);
    }
    //Show By Id
    public DataSet ShowEmployeeById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@Id", this.id);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_Employee_ById", p);
        return ds;
    } 
}
