using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using SpeedCash.DAL;
/// <summary>
/// Summary description for RegistrationBL
/// </summary>
public class RegistrationBL:Connection
{
    public static DataSet ds;
	public RegistrationBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string fname, lname, gender, email, address, phone, detail;

    public string Fname
    {
        get { return fname; }
        set { fname = value; }
    }
    public string Lname
    {
        get { return lname; }
        set { lname = value; }
    }
    public string Gender
    {
        get { return gender; }
        set { gender = value; }
    }
    public string Email
    {
        get { return email; }
        set { email = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Phone
    {
        get { return phone; }
        set { phone = value; }
    }
    public string Detail
    {
        get { return detail; }
        set { detail = value; }
    }
      DateTime dob;
    public DateTime Dob
    {
        get { return dob; }
        set { dob = value; }
    }
   int countryid,stateid,cityid,custid;
    public int Custid
    {
        get { return custid; }
        set { custid = value; }
    }
    public int Countryid
    {
        get { return countryid; }
        set { countryid = value; }
    }
    public int Stateid
    {
        get { return stateid; }
        set { stateid = value; }
    }
    public int Cityid
    {
        get { return cityid; }
        set { cityid = value; }
    }
    int actno;
    public int Actno
    {
        get { return actno; }
        set { actno = value; }
    }
   
    string uname,password,hintquestion,answer;
    public string Uname
    {
        get { return uname; }
        set { uname = value; }
    }
    public string Password
    {
        get { return password; }
        set { password = value; }
    }
    public string Hintquestion
    {
        get { return hintquestion; }
        set { hintquestion = value; }
    }
    public string Answer
    {
        get { return answer; }
        set { answer = value; }
    }
    int roleid;
    public int Roleid
    {
        get { return roleid; }
        set { roleid = value; }
    }
    public void InsertUserPersonalInfo()
    {
        SqlParameter[] p = new SqlParameter[11];
        p[0] = new SqlParameter("@fname", this.fname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@lname", this.lname);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@dob", this.dob);
        p[2].DbType = DbType.DateTime;
        p[3] = new SqlParameter("@gender", this.gender);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@email", this.email);
        p[4].DbType = DbType.String;
        p[5] = new SqlParameter("@countryid", this.countryid);
        p[5].DbType = DbType.Int16;
        p[6] = new SqlParameter("@stateid", this.stateid);
        p[6].DbType = DbType.Int16;
        p[7] = new SqlParameter("@cityid", this.cityid);
        p[7].DbType = DbType.Int16;
        p[8] = new SqlParameter("@address", this.address);
        p[8].DbType = DbType.String;
        p[9] = new SqlParameter("@phone", this.phone);
        p[9].DbType = DbType.String;
        p[10] = new SqlParameter("@detail", this.detail);
        p[10].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_UserPersonalInfo", p);
    }
    public void InsertUserLoginInfo()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_InsertUserLoginInfo", p);
    }
    public DataSet ShowCustomerId()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCustId");
        return ds;
    }
    public DataSet ShowCustomer()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@custid", this.custid);
        p[0].DbType=DbType.Int16;
        ds=new DataSet();
        ds=SqlHelper.ExecuteDataset(con,CommandType.StoredProcedure,"SpShowCustomer",p);
        return ds;
    }
    public DataSet ShowCustomerName()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCustomerName");
        return ds;
    }
    public DataSet ShowUserInfo()
    {
        string str = "select cust_fname,cust_email,cust_address,cust_phone,cust_id from tblcustmaster where active=1";
        return(SqlHelper.ExecuteDataset(con,CommandType.Text,str));
    }

    public DataSet ShowUserFullPersonalInfo()
    {
        string str = "select *from tblcustmaster where active=1 and cust_id="+ custid+"";
        return (SqlHelper.ExecuteDataset(con, CommandType.Text, str));
    }
    public DataSet ShowUserFullAccountInfo()
    {
        string str = "select *from tblcustactmaster where active=1 and cust_id=" + custid + "";
        return (SqlHelper.ExecuteDataset(con, CommandType.Text, str));
    }
    public DataSet ShowLoginName()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@custid", this.custid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowUserName", p);
        return ds;
    }
    public DataSet ShowLoginId()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@username", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowUserLoginId", p);
        return ds;
    }
    
    public bool GetUser()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spCheckUser", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
   
    public DataSet ShowActNoByUser()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        ds=SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowActNoByUser", p);
        return ds;
    }
    public DataSet ShowUserAllInfo()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowUserAllInfo", p);
        return ds;
    }
    public void ChangePassword()
    { 
    SqlParameter[] p=new SqlParameter[2];
    p[0] = new SqlParameter("@uname", this.uname);
    p[0].DbType = DbType.String;
    p[1] = new SqlParameter("@password", this.password);
    p[1].DbType = DbType.String;
   
    SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpChangePassword", p);

    }
    public void UpdateUser()
    { 
    
        SqlParameter[] p = new SqlParameter[12];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@fname", this.fname);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@lname", this.lname);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@dob", this.dob);
        p[3].DbType = DbType.DateTime;
        p[4] = new SqlParameter("@sex", this.gender);
        p[4].DbType = DbType.String;
        p[5] = new SqlParameter("@email", this.email);
        p[5].DbType = DbType.String;
        p[6] = new SqlParameter("@countryid", this.countryid);
        p[6].DbType = DbType.Int16;
        p[7] = new SqlParameter("@stateid", this.stateid);
        p[7].DbType = DbType.Int16;
        p[8] = new SqlParameter("@cityid", this.cityid);
        p[8].DbType = DbType.Int16;
        p[9] = new SqlParameter("@address", this.address);
        p[9].DbType = DbType.String;
        p[10] = new SqlParameter("@phone", this.phone);
        p[10].DbType = DbType.String;
        p[11] = new SqlParameter("@detail", this.detail);
        p[11].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateUserInfo", p);
    }
    public bool GetAdmin()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spCheckAdmin", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
}
