using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using SpeedCash.DAL;
/// <summary>
/// Summary description for RemitterBL
/// </summary>
public class RemitterBL:Connection
{
    public static DataSet ds;
	public RemitterBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    int fileid, fromactno, toactno, chqstartno, chqendno;

    public int Fileid
    {
        get { return fileid; }
        set { fileid = value; }
    }
    public int Fromactno
    {
        get { return fromactno; }
        set { fromactno = value; }
    }
    public int Toactno
    {
        get { return toactno; }
        set { toactno = value; }
    }
    public int Chqstartno
    {
        get { return chqstartno; }
        set { chqstartno = value; }
    }
    public int Chqendno
    {
        get { return chqendno; }
        set { chqendno = value; }
    }
    string custname;
    public string Custname
    {
        get { return custname; }
        set { custname = value; }
    }
    DateTime date;
    public DateTime Date
    {
        get { return date; }
        set { date = value; }
    }
    public void InsertRemitter()
    {
        SqlParameter[] p = new SqlParameter[7];
        p[0] = new SqlParameter("@fileid", this.fileid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@fromactno", this.fromactno);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@toactno", this.toactno);
        p[2].DbType = DbType.Int16;
        p[3] = new SqlParameter("@chqstartno", this.chqstartno);
        p[3].DbType = DbType.Int16;
        p[4] = new SqlParameter("@chqendno", this.chqendno);
        p[4].DbType = DbType.Int16;
        p[5] = new SqlParameter("@custname", this.custname);
        p[5].DbType = DbType.String;
        p[6] = new SqlParameter("@date", this.date);
        p[6].DbType = DbType.DateTime;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertremitter", p);

    }
    public DataSet ShowRemitterInfo()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRemitterInfo", p);
        return ds;
    }
    public DataSet ShowRemitterTransaction()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRemitterTransactionDetail", p);
        return ds;
    }
    public bool CountRemitter()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "SpCountRemitter", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public DataSet ShowFileProcess()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.fromactno);
        p[0].DbType = DbType.String;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRemitterFileProcessName", p);
        return ds;

    }
}
