using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class frmLogin : System.Web.UI.Page
{
    RegistrationBL user = new RegistrationBL();
    AccountInfoBL act = new AccountInfoBL();
    LoginHistoryBL login = new LoginHistoryBL();
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnLogin_Click(object sender, EventArgs e)
    {
       
        user.Uname = txtUName.Text;
        user.Password = txtPassword.Text;
        try
        {
            if (user.GetUser() == true)
            {
                DataSet ds = new DataSet();
                ds = user.ShowActNoByUser();
                Session["name"] = txtUName.Text;
                Session["pass"] = txtPassword.Text;
                Session["Actno"] = ds.Tables[0].Rows[0][0].ToString();

                //Insert Into Login History

                DataSet ds1 = new DataSet();
                ds1 = user.ShowLoginId();
                DataSet ds2 = new DataSet();

                string uid = ds1.Tables[0].Rows[0][0].ToString();
                login.Uid = int.Parse(uid);
                act.Uid = int.Parse(uid);
                Session["uid"] = int.Parse(uid);
                ds2 = act.GetActNoByUserId();
                string actno = ds2.Tables[0].Rows[0][0].ToString();
                login.Actno = int.Parse(actno);
                Session["actno"] = int.Parse(actno);
                string hour, min, sec;
                DateTime  date = System.DateTime.Now.Date;
                hour = System.DateTime.Now.Hour.ToString();
                min = System.DateTime.Now.Minute.ToString();
                sec = System.DateTime.Now.Second.ToString();
                login.Logindate = date;
                login.Logintime=hour + ":" + min + ":" + sec;
                login.InsertLoginHistory();
                //-------------------------
                Response.Redirect("~/User/Default.aspx");
                Label1.Text = "";
            }
            else if (user.GetAdmin() == true)
            {
                Response.Redirect("~/Admin/frmAdminHome.aspx");
            }
            else
            {
                Label1.Text = "Invalid User Name Or Password...!";
                txtUName.Text = "";
            }
        }
        catch (Exception ex)
        {
            Label1.Text = ex.Message.ToString();
        } 
       
    }
}
