using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmManageBank : System.Web.UI.Page
{
    BankBL bank = new BankBL();
    DesignationBL desig = new DesignationBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindData();
            ddlDesignation.DataSource = desig.ShowDesigId();
            ddlDesignation.DataTextField = "desig_name";
            ddlDesignation.DataValueField = "desig_id";
            ddlDesignation.DataBind();
        }

    }
    private void BindData()
    {
        GridView1.DataSource = bank.ShowAllBank();
        GridView1.DataBind();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                bank.Bankid = int.Parse(btn.CommandArgument.ToString());
            }
            bank.DeleteBank();
            lblMsg.Text = "Deleted...!";
            BindData();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        foreach (ListItem li in ddlDesignation.Items)
        {
            if (li.Selected == true)
                li.Selected = false;
        }
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btnupdate");
                bank.Bankid = int.Parse(btn.CommandArgument.ToString());
                ViewState["Id"] = bank.Bankid;
                DataSet ds = new DataSet();
                ds = bank.ShowBankByID();
                DataRow dr = ds.Tables[0].Rows[0];
                txtname.Text = dr[1].ToString();
                txtaddress.Text = dr[2].ToString();
                ListItem li = ddlDesignation.Items.FindByValue(dr[3].ToString());
                if (li != null)
                {
                    li.Selected = true;
                }
                txtDetails.Text = dr[4].ToString();


            }
        }
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            bank.Bankid = int.Parse(ViewState["Id"].ToString());
            bank.Bankname = txtname.Text.Trim();
            bank.Address = txtaddress.Text.Trim();
            bank.Desigid = int.Parse(ddlDesignation.SelectedValue);
            bank.Details = txtDetails.Text.Trim();
            bank.UpdateBank();
            BindData();
            lblMsg.Text = "Updated...!";
        }
        catch (Exception)
        {

            throw;
        }
    }
}
