using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmCustomerLoginDetails : System.Web.UI.Page
{
    AccountInfoBL act = new AccountInfoBL();
    LoginHistoryBL login = new LoginHistoryBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ddlActNo.DataSource = act.ShowActNo();
            ddlActNo.DataValueField = "cust_act_no";
            ddlActNo.DataBind();
            ddlActNo.Items.Insert(0, "---Select---");
        }
    }
    protected void ddlActNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            login.Actno = int.Parse(ddlActNo.SelectedValue);
            GridView1.DataSource = login.ShowLoginDetail();
            GridView1.DataBind();
            Label1.Text = ""; 
            GridView1.Visible = true;
        }
        catch (Exception)
        {
            Label1.Text = "Plz Select Account No...!";
            ddlActNo.Focus();
            GridView1.Visible = false;
        }
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex=e.NewPageIndex;
        login.Actno = int.Parse(ddlActNo.SelectedValue);
        GridView1.DataSource = login.ShowLoginDetail();
        GridView1.DataBind();
    }
}
