using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using SpeedCash.DAL;
/// <summary>
/// Summary description for AccountInfoBL
/// </summary>
public class AccountInfoBL:Connection
{
    public static DataSet ds;
	public AccountInfoBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    int custid, branchid, acttypeid, empid, statusid, uid,actno;

    public int Actno
    {
        get { return actno; }
        set { actno = value; }
    }
    public int Custid
    {
        get { return custid; }
        set { custid = value; }
    }
    public int Branchid
    {
        get { return branchid; }
        set { branchid = value; }
    }
    public int Acttypeid
    {
        get { return acttypeid; }
        set { acttypeid = value; }
    }
    public int Empid
    {
        get { return empid; }
        set { empid = value; }
    }
    public int Statusid
    {
        get { return statusid; }
        set { statusid = value; }
    }
    public int Uid
    {
        get { return uid; }
        set { uid = value; }
    }
   DateTime opdate;
    public DateTime Opdate
    {
        get { return opdate; }
        set { opdate = value; }
    }
    decimal opbal,curbal;
    public decimal Opbal
    {
        get { return opbal; }
        set { opbal = value; }
    }
    public decimal Curbal
    {
        get { return curbal; }
        set { curbal = value; }
    }
   string nomineename,relation,address,detail;
    public string Nomineename
    {
        get { return nomineename; }
        set { nomineename = value; }
    }
    public string Relation
    {
        get { return relation; }
        set { relation = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Detail
    {
        get { return detail; }
        set { detail = value; }
    }

    public void InsertAccountInfo()
    {
        SqlParameter[] p = new SqlParameter[13];
        p[0] = new SqlParameter("@custid", this.custid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@branchid", this.branchid);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@acttypeid", this.acttypeid);
        p[2].DbType = DbType.Int16;
        p[3] = new SqlParameter("@empid", this.empid);
        p[3].DbType = DbType.Int16;
        p[4] = new SqlParameter("@opdate", this.opdate);
        p[4].DbType = DbType.DateTime;
        p[5] = new SqlParameter("@opbal", this.opbal);
        p[5].DbType = DbType.Decimal;
        p[6] = new SqlParameter("@curbal", this.curbal);
        p[6].DbType = DbType.Decimal;
        p[7] = new SqlParameter("@statusid", this.statusid);
        p[7].DbType = DbType.Int16;
        p[8] = new SqlParameter("@nomineename", this.nomineename);
        p[8].DbType = DbType.String;
        p[9] = new SqlParameter("@relation", this.relation);
        p[9].DbType = DbType.String;
        p[10] = new SqlParameter("@address", this.address);
        p[10].DbType = DbType.String;
        p[11] = new SqlParameter("@uid", this.uid);
        p[11].DbType = DbType.Int16;
        p[12] = new SqlParameter("@detail", this.detail);
        p[12].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertAccountInfo", p);

    }
    public DataSet ShowActNo()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowActNo");
        return ds;
    }
    public DataSet ShowCustName()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCustName", p);
        return ds;
    }
    public DataSet ShowBranchByActNo()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowBranchByActNo", p);
        return ds;
    }
    public DataSet ShowActName()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowActName", p);
        return ds;
    }
    public DataSet ShowActDetail()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowActDetail", p);
        return ds;
    }
    public DataSet DeleteActDetail()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpDeleteAllUserInfo", p);
        return ds;
    }
    public DataSet DeleteUserActInfo()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpDeleteUserActInfo", p);
        return ds;
    }
    public DataSet GetActNoByUserId()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@uid", this.uid);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpGetActNoByUserId", p);
        return ds;
    }
    public bool GetUserNameByUid()
    {
        int count;
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@custid", this.custid);
        p[0].DbType = DbType.Int16;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "SpGetUserNameByUid", p).ToString());
        if (count>0)
            return true;
        else
            return false;
    }
}
