using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using SpeedCash.DAL;
/// <summary>
/// Summary description for CustomerSecurityBL
/// </summary>
public class CustomerSecurityBL:Connection
{
    public static DataSet ds;
	public CustomerSecurityBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    int actno;

    public int Actno
    {
        get { return actno; }
        set { actno = value; }
    }
   string uname, password,newpwd,question,answer;
    public string Uname
    {
        get { return uname; }
        set { uname = value; }
    }
    public string Question
    {
        get { return question; }
        set { question = value; }
    }
    public string Answer
    {
        get { return answer; }
        set { answer = value; }
    }
    public string Newpwd
    {
        get { return newpwd; }
        set { newpwd = value; }
    }
    public string Password
    {
        get { return password; }
        set { password = value; }
    }
    public void InsertUser()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@uname", this.uname);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@password", this.password);
        p[2].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpAddUser", p);
    }
    public DataSet ShowUserAllInfo()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowAllUserInfo", p);
        return ds;
    }
    public void UpdateSecurityInfo()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@uname", this.uname);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@password", this.password);
        p[2].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateSecurityInfo", p);
    }
    public DataSet DeleteUser()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpDeleteSecurityInfo", p);
        return ds;
    }
    public bool GetCustomerUserName()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@uname", this.uname);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spGetCustomerUserName", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public void UpdateSecurityUser()
    {
        SqlParameter[] p = new SqlParameter[4];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@newpwd", this.newpwd);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@question", this.question);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@answer", this.answer);
        p[3].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUdateSecurityUser", p);
    }
}
