using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using SpeedCash.DAL;
/// <summary>
/// Summary description for DemandDraftBL
/// </summary>
public class DemandDraftBL : Connection
{
    public static DataSet ds;
    public DemandDraftBL()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    int fileid, actno, ddno;

    public int Fileid
    {
        get { return fileid; }
        set { fileid = value; }
    }
    public int Actno
    {
        get { return actno; }
        set { actno = value; }
    }
    public int Ddno
    {
        get { return ddno; }
        set { ddno = value; }
    }
    string custname;
    public string Custname
    {
        get { return custname; }
        set { custname = value; }
    }
    DateTime date;
    public DateTime Date
    {
        get { return date; }
        set { date = value; }
    }
    public void InsertDD()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@fileid", this.fileid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@actno", this.actno);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@ddno", this.ddno);
        p[2].DbType = DbType.Int16;
        p[3] = new SqlParameter("@custname", this.custname);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@date", this.date);
        p[4].DbType = DbType.DateTime;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertDD", p);

    }
    public DataSet ShowDDInfo()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowDDInfo", p);
        return ds;
    }
    public DataSet ShowFileProcess()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.String;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowFileProcessName", p);
        return ds;

    }
    public DataSet ShowDDTransaction()
    {
        ds = new DataSet();
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowDDTransactionDetail", p);
        return ds;
    }
    public bool CountDD()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@actno", this.actno);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.DateTime;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "SpCountDD", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
}
